x86: In ld.so, diagnose missing APX support in APX-only builds
[glibc.git] / localedata / tst-fmon.sh
blob1cc4cef742f8798fa3e0ff14986b0accf9b7d939
1 #!/bin/sh
2 # Testing the implementation of strfmon(3).
3 # Copyright (C) 1996-2024 Free Software Foundation, Inc.
4 # This file is part of the GNU C Library.
6 # The GNU C Library is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU Lesser General Public
8 # License as published by the Free Software Foundation; either
9 # version 2.1 of the License, or (at your option) any later version.
11 # The GNU C Library is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
14 # Lesser General Public License for more details.
16 # You should have received a copy of the GNU Lesser General Public
17 # License along with the GNU C Library; if not, see
18 # <https://www.gnu.org/licenses/>.
20 set -e
22 common_objpfx=$1
23 run_program_prefix_before_env=$2
24 run_program_env=$3
25 run_program_prefix_after_env=$4
26 test_program_prefix=$5
27 datafile=$6
29 here=`pwd`
31 lang=`sed -e '/^#/d' -e '/^$/d' -e '/^C /d' -e '/^tstfmon/d' -e 's/^\([^ ]*\).*/\1/' $datafile | sort | uniq`
33 # Generate data files.
34 for cns in `cd ./tst-fmon-locales && ls tstfmon_*`; do
35 ret=0
36 cn=tst-fmon-locales/$cns
37 fn=charmaps/ISO-8859-1
38 # All of the test locales run with "USC " as their int_curr_symbol,
39 # and the use of this generates a warning because it does not meet
40 # the POSIX requirement that the name be an ISO 4217 compliant
41 # country code e.g. USD. Therefore we *expect* an exit code of 1.
42 ${run_program_prefix_before_env} \
43 ${run_program_env} \
44 I18NPATH=. \
45 ${run_program_prefix_after_env} ${common_objpfx}locale/localedef \
46 --quiet -i $cn -f $fn ${common_objpfx}localedata/$cns || ret=$?
47 if [ $ret -ne 1 ]; then
48 echo "FAIL: Locale compilation for $cn failed (error $ret)."
49 exit 1
51 done
53 # Run the tests.
54 errcode=0
55 # There's a TAB for IFS
56 while IFS=" " read locale format value expect; do
57 case "$locale" in '#'*) continue ;; esac
58 if [ -n "$format" ]; then
59 ret=0
60 expect=`echo "$expect" | sed 's/^\"\(.*\)\"$/\1/'`
61 ${test_program_prefix} ${common_objpfx}localedata/tst-fmon \
62 "$locale" "$format" "$value" "$expect" < /dev/null || ret=$?
63 if [ $ret -ne 0 ]; then
64 echo "FAIL: Locale $locale failed the test (error $ret)."
65 errcode=1
68 done < $datafile
70 exit $errcode
71 # Local Variables:
72 # mode:shell-script
73 # End: